#!/bin/sh
# McPics 0.2.5 install.sh (c) 2002 mackstann (mack at incise.org)

# this script is rough, but it does the job.
# no trailing slashes on paths in this file!

# perhaps BINPATH='/home/<user>/bin' if you dont
# want a systemwide install
BINPATH='/usr/local/bin'
# same idea here, if you change this, make sure
# to also change it in the mcpics main script.
SHAREPATH='/usr/local/share/mcpics'

echo "creating directory $SHAREPATH"
mkdir -p $SHAREPATH

echo "copying mcpics.php to ${SHAREPATH}/"
cp -v ${PWD}/mcpics.php $SHAREPATH/mcpics.php
echo ". . . done"

echo "copying mcpics to ${BINPATH}/mcpics"
cp -v ${PWD}/mcpics $BINPATH
echo ". . . done"

# comment these out if you're installing to your home directory or similar
chown root:root ${BINPATH}/mcpics
chown root:root ${SHAREPATH}/mcpics.php

echo -e "\nMcPics successfully installed!"

exit 0
